import { z } from 'zod';
import {
  mixspaceCreateInputParser,
  mixspaceDeleteParamsParser,
  mixspaceGetOneParamsParser,
  mixspaceListParamsParser,
  mixspaceUpdateInputParser,
  mixspaceUpdateParamsParser,
} from './parsers';

export type MixspaceCreateBody = z.infer<typeof mixspaceCreateInputParser>;
export type MixspaceUpdateBody = z.infer<typeof mixspaceUpdateInputParser>;
export type MixspaceUpdateParams = z.infer<typeof mixspaceUpdateParamsParser>;
export type MixspaceListParams = z.infer<typeof mixspaceListParamsParser>;
export type MixspaceGetOneParams = z.infer<typeof mixspaceGetOneParamsParser>;
export type MixspaceDeleteParams = z.infer<typeof mixspaceDeleteParamsParser>;
