import { z } from 'zod';
import { MAX_HISTORICAL_DATE_MS } from '../../constants';
import { currencyAmountParser, currencyParser } from '../../currencies/parsers';
import { channelIdParser } from '../../channel/parsers';
import { userIdParser } from '../../user/parsers';

export const routePacketInputParser = z.object({
  userId: userIdParser,
  payeeId: channelIdParser,
  amt: currencyAmountParser,
  unit: currencyParser,
  when: z.number().min(0 /*1970*/).max(MAX_HISTORICAL_DATE_MS).optional(),
});
