import { z } from 'zod';
import { PayinMethodOriginId } from './types';
import { stripePaymentMethodIdParser } from '../stripe/parsers';
import { PAYIN_METHOD_ORIGIN_TYPES } from './constants';

export const payinMethodOriginIdParser = stripePaymentMethodIdParser /*.or(paypal...)*/
  .refine((o) => {
    const r: PayinMethodOriginId = o; // assert
    return r;
  });

export const payinMethodOriginTypeParser = z.enum(PAYIN_METHOD_ORIGIN_TYPES);

const stripePayinMethodOriginIdParser = z.object({
  originId: stripePaymentMethodIdParser,
  originType: z.literal('stripe'),
});
const paypalPayinMethodOriginIdParser = z.object({
  originId: z.string(), // TODO
  originType: z.literal('paypal'),
});
export const payinMethodUpsertParamsParser = stripePayinMethodOriginIdParser.or(paypalPayinMethodOriginIdParser);
